%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Data-Section
Version:       0.200008
Release:       2mamba
Summary:       Data::Section - read multiple hunks of data out of your DATA section
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Data-Section-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-Encode
BuildRequires: perl-MRO-Compat
BuildRequires: perl-Sub-Exporter
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-MRO-Compat
BuildRequires: perl-Test-FailWarnings

%description
Data::Section provides an easy way to access multiple named chunks of line-oriented data in your module's DATA section. It was written to allow modules to store their own templates, but probably has other uses.

%prep

%setup -q -n Data-Section-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.200008-2mamba
- rebuilt with perl 5.36.0

* Sun Jan 01 2023 Automatic Build System <autodist@mambasoft.it> 0.200008-1mamba
- automatic version update by autodist

* Sat Oct 21 2017 Automatic Build System <autodist@mambasoft.it> 0.200007-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 0.200006-1mamba
- automatic update by autodist

* Sat Dec 07 2013 Automatic Build System <autodist@mambasoft.it> 0.200004-1mamba
- automatic update by autodist

* Thu Jun 20 2013 Automatic Build System <autodist@mambasoft.it> 0.101622-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Automatic Build System <autodist@mambasoft.it> 0.101621-1mamba
- automatic version update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.005-2mamba
- automatic rebuild by autodist

* Mon Oct 20 2008 gil <puntogil@libero.it> 0.005-1mamba
- package created by autospec
